<!--
     Copyright (C) 2018 Freetech Solutions

     This file is part of OMniLeads

     This program is free software: you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
     the Free Software Foundation, either version 3 of the License, or
     (at your option) any later version.

     This program is distributed in the hope that it will be useful,
     but WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     GNU General Public License for more details.

     You should have received a copy of the GNU General Public License
     along with this program.  If not, see http://www.gnu.org/licenses/.

   -->
{% extends "campana/wizard_base.html" %}
{% load static %}
{% load i18n %}
{% load widget_tweaks %}

{% block extra_css %}
    <link rel="stylesheet" href="{% static 'ominicontacto/CSS/opcion-calificacion.css' %}"></link>
{% endblock %}

{% block extra_js %}
    <script src="{% static 'ominicontacto/JS/adicionarGruposAgentes.js' %}"></script>
    <script src="{% static 'ominicontacto/JS/jquery.formset.js' %}"></script>
    <script type="text/javascript">
     var $adicionarAgente = $('#adicionarAgente');
     $('.linkFormset').formset({
       addText: AGREGAR_AGENTE,
       deleteText: REMOVER_CAMPO,
       prefix: '{{ wizard.form.prefix }}',
       addCssClass: 'addFormset btn btn-outline-primary',
       deleteCssClass: 'deleteFormset btn btn-outline-danger',
       addMultRows: {'button': $adicionarAgente,
                     'function': obtenerAgentesGrupos,
                     'post_function': eliminarPrimeraFilaVacia},
       added: function (row) {asociarDatosRow(row);}
     });
    </script>
{% endblock %}


{% block nav %}
    <h1>{% trans 'Campaña Entrante: Adicionar agentes' %}</h1>

    <ul class="nav nav-indicators">
        <li class="disabled"><a>{% trans 'Campaña' %}</a></li>
        <li class="disabled"><a>{% trans 'Datos básicos de la cola' %}</a></li>
        <li class="disabled"><a>{% trans 'Opciones de calificación' %}</a></li>
        {% if interaccion_crm %}
            <li class="disabled"><a>{% trans 'Interacción con Sitio Externo' %}</a></li>
        {% endif %}
        {% if not es_template %}
            <li class="disabled"><a>{% trans 'Dar permiso a supervisores' %}</a></li>
            <li class="active"><a>{% trans 'Adicionar agentes' %}</a></li>
        {% endif %}
    </ul>
{% endblock %}

{% block extra_content %}
    {% include 'grupo_agentes.html' %}
{% endblock %}

{% block formset_render %}
    <table border="0" cellpadding="0" cellspacing="0">
        <thead>
            <tr class="">
                <th>{% trans 'Agente' %}</th>
                <th>{% trans 'Penalty' %}</th>
            </tr>
        </thead>
        <tbody>
            {% if wizard.form.non_form_errors %}
                {% for error in wizard.form.non_form_errors %}
                    <div class="alert alert-warning">{{ error|escape }}</div>
                {% endfor %}
            {% endif %}
            {% for form in wizard.form.forms %}
                <tr class="linkFormset">
                    {% if form.errors %}
                        <div class="alert alert-warning">{{ form.errors|escape }}</div>
                    {% endif %}
                    <td class="member">
                        {{ form.member.errors }}
                        {{ form.member|add_class:"form-control" }}
                    </td>
                    <td class="penalty">
                        {{ form.penalty.errors  }}
                        {{ form.penalty|add_class:"form-control" }}
                    </td>
                    <td class="id">{{ form.id }}</td>
                    <td></td>
                </tr>
            {% endfor %}
        </tbody>
    </table>
    {{ wizard.form.management_form }}
{% endblock %}
